#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    long long area, numberCount;

    cin >> area >> numberCount;

    vector<long long> numbers (numberCount);
    for (long long i = 0; i < numberCount; i++) {
        cin >> numbers[i];
    }

    std::sort (numbers.begin(), numbers.end());

    int lowerPos = 0, upperPos = numberCount - 1;

    while (lowerPos < upperPos) {
        if (numbers[lowerPos] * numbers[upperPos] < area) {
            lowerPos++;
        } else if (numbers[lowerPos] * numbers[upperPos] > area) {
            upperPos--;
        } else {
            cout << numbers[lowerPos] << ' ' << numbers[upperPos] << endl;
            return 0;
        }
    }

    return 0;
}
